Bug 343281 - multiarch conflicts in Thunar
multiarch conflicts in Thunar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:57 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 20:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:57:54 EDT
Thunar (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsGroup.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsJob.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsMimeAction.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsMimeApplication.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsMimeDatabase.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsMimeHandler.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsMonitor.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsUser.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsUserManager.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsVolume.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ThunarVfsVolumeManager.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/ix01.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-Basic-Types.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-Initialization-and-Shutdown.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-Jobs.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-ThunarVfsInfo.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-ThunarVfsMimeInfo.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-ThunarVfsPath.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunar-vfs/thunar-vfs-Utility-Functions.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxFileInfo.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxMenuProvider.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxPreferencesProvider.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxPropertyPage.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxPropertyPageProvider.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxProviderFactory.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxProviderPlugin.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxRenamer.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ThunarxRenamerProvider.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/ix01.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/thunarx-Variables-and-functions-to-check-the-library-version.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/thunarx-writing-extensions-advanced-topics.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8
  file /usr/share/gtk-doc/html/thunarx/thunarx-writing-extensions-getting-started.html from install of Thunar-devel-0.8.0-3.fc8 conflicts with file from package Thunar-devel-0.8.0-3.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Kevin Fenzi 2008-03-21 20:38:41 EDT
All of these are fixed now. 

$ python multilib-cmp.py 
/var/www/html/mirror/development/x86_64/os/Packages/Thunar-0.9.0-4.fc9.x86_64.rpm /var/www/html/mirror/development/x86_64/os/Packages/Thunar-0.9.0-4.fc9.i386.rpm

No conflicts

Feel free to re-open or file a new bug if you still see this happening.

Note You need to log in before you can comment on or make changes to this bug.